Skip to main content
GET
/
rounds
/
{round_id}
/
question
Get Round Question
curl --request GET \
  --url https://api-dev.monyfix.tech/rounds/{round_id}/question \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "question_text": "<string>",
  "question_type": "<string>",
  "answers": [
    {
      "id": 123,
      "text": "<string>",
      "is_correct": true
    }
  ],
  "category_theme": {
    "name": "<string>",
    "category": {
      "name": "<string>"
    },
    "emoji": "<string>"
  },
  "round_id": "<string>",
  "is_private": true,
  "type": "<string>",
  "message": "<string>",
  "countdown": 30,
  "question_start": "2023-11-07T05:31:56Z",
  "question_end": "2023-11-07T05:31:56Z",
  "picture_url": "<string>",
  "certificate": {
    "id": "<string>",
    "text": "<string>",
    "discount_percent": 123
  },
  "end_time": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

round_id
string
required

Response

Successful Response

id
integer
required
question_text
string
required
question_type
string
required
answers
RoundQuestionItemAnswerGetResponse · object[]
required
category_theme
RoundQuestionCategoryThemeGetResponse · object
required
round_id
string
required
is_private
boolean
required
type
string | null
message
string | null
countdown
integer
default:30
question_start
string<date-time> | null
question_end
string<date-time> | null
picture_url
string | null
certificate
RoundQuestionCertificateGetResponse · object
end_time
string<date-time> | null